Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003537 [JEDI VCL] 00 JVCL Components minor always 2006-02-23 08:12 2006-03-01 06:21
Reporter Karlheinz View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.10
Summary 0003537: JvTipOfDay is broken in 1.36 and OK in 1.35
Description Problem happens only with TJvForm and not with TForm

Exception class: EResNotFound
Exception address: 004D424A
------------------------------------------------------------------------------
Stack list, generated 23.02.2006 16:21:50
[004D4245] Forms.TCustomForm.Create (Line 2562, "Forms.pas" + 9) + $45
[004D4296] Forms.TCustomForm.Create (Line 2569, "Forms.pas" + 16) + $9
[0042C3B6] Classes.TStringList.InsertItem (Line 4741, "classes.pas" + 13) + $5
[0042BE40] Classes.TStringList.AddObject (Line 4589, "classes.pas" + 9) + $F
[00752B30] JvTipOfDay.TJvTipOfDay.CanShow (Line 261, "JvTipOfDay.pas" + 7) + $9
[0040A65A] FastMM4.FastFreeMem (Line 3717, "..\Source\FastMM4.pas" + 15) + $7
[004C3CCB] ActnList.TContainedAction.Execute (Line 375, "ActnList.pas" + 1) + $35
[0040A95A] FastMM4.CalculateHeaderCheckSum (Line 5299, "..\Source\FastMM4.pas" + 1) + $12
[0040A96C] FastMM4.UpdateHeaderAndFooterCheckSums (Line 5308, "..\Source\FastMM4.pas" + 1) + $2
[0040B471] FastMM4.DebugGetMem (Line 5589, "..\Source\FastMM4.pas" + 36) + $3
[004040FB] System.TObject.NewInstance (Line 8360, "system.pas" + 1) + $10
[0061A686] JvExForms.TJvExForm.Create + $16
[006218F2] JvComponent.TJvForm.Create (Line 142, "JvComponent.pas" + 1) + $4
[00752BD3] JvTipOfDay.TJvTipOfDay.Execute (Line 294, "JvTipOfDay.pas" + 19) + $F
[008D6A90] F_Main.TF_Main_F.HelpTipExecute (Line 781, "..\Source\F_Main.pas" + 0) + $8
[00434DB1] Classes.TBasicAction.Execute (Line 10464, "classes.pas" + 3) + $9
[004C3CCB] ActnList.TContainedAction.Execute (Line 375, "ActnList.pas" + 1) + $35
[004C4F37] ActnList.TCustomAction.Execute (Line 961, "ActnList.pas" + 7) + $C
[0040436C] System.@CallDynaInst (Line 8709, "system.pas" + 3) + $0
[00434BAD] Classes.TBasicActionLink.Execute (Line 10394, "classes.pas" + 2) + $A
[004C8F69] Menus.TMenuActionLink.IsAutoCheckLinked (Line 655, "Menus.pas" + 1) + $C
[004CBD7B] Menus.TMenuItem.Click (Line 1824, "Menus.pas" + 12) + $B
[004CD551] Menus.TMenu.DispatchCommand (Line 2546, "Menus.pas" + 5) + $5
[004D8059] Forms.TCustomForm.WMCommand (Line 4115, "Forms.pas" + 2) + $25
[004B58F7] Controls.TControl.WndProc (Line 4645, "Controls.pas" + 53) + $8
[00751D22] JvWndProcHook.TJvHookInfos.WindowProc (Line 783, "JvWndProcHook.pas" + 49) + $9
[0040A65A] FastMM4.FastFreeMem (Line 3717, "..\Source\FastMM4.pas" + 15) + $7
[0040B55D] FastMM4.DebugFreeMem (Line 5646, "..\Source\FastMM4.pas" + 21) + $3
[00402F21] System.@FreeMem (Line 2466, "system.pas" + 10) + $0
[00404110] System.TObject.FreeInstance (Line 8366, "system.pas" + 2) + $2
[0040452A] System.@ClassDestroy (Line 9060, "system.pas" + 0) + $2
[004B1FA0] Controls.TControlCanvas.Destroy (Line 2984, "Controls.pas" + 2) + $17
[004B9626] Controls.TWinControl.WndProc (Line 6342, "Controls.pas" + 33) + $6
[004D5874] Forms.TCustomForm.WndProc (Line 3098, "Forms.pas" + 103) + $6
[00751C9E] JvWndProcHook.TJvHookInfos.WindowProc (Line 767, "JvWndProcHook.pas" + 33) + $9
[004B91F8] Controls.TWinControl.MainWndProc (Line 6237, "Controls.pas" + 3) + $9
[00435D0C] Classes.StdWndProc (Line 10966, "classes.pas" + 8) + $0
[004DDB90] Forms.TApplication.ProcessMessage (Line 6873, "Forms.pas" + 13) + $4
[004DDBD7] Forms.TApplication.HandleMessage (Line 6892, "Forms.pas" + 1) + $6
[004DDE72] Forms.TApplication.Run (Line 6976, "Forms.pas" + 16) + $3
[009249D5] skraft.skraft (Line 117, "C:\Delphi\delphi\khjprogramme\skraft\entwicklung\dpr\skraft.dpr" + 23) +
Additional Information
Tags No tags attached.
Attached Files

- Relationships
has duplicate 0003604closed JvTipOfDay doesn't work anymore 

-  Notes
(0008618)
obones (administrator)
2006-03-01 06:21

This is now fixed in CVS.
Two solutions:

1. In JvTipOfDay at line 294, replace Create by CreateNew
2. Add a JvComponent.dfm file with an empty TJvForm inside it, and a {$R *.dfm} to JvComponent.pas

The second solution was chosen in CVS to allow easier usage of TJvForm.

- Issue History
Date Modified Username Field Change
2006-02-23 08:12 Karlheinz New Issue
2006-03-01 04:06 obones Status new => confirmed
2006-03-01 06:21 obones Status confirmed => resolved
2006-03-01 06:21 obones Resolution open => fixed
2006-03-01 06:21 obones Assigned To => obones
2006-03-01 06:21 obones Note Added: 0008618
2006-03-22 12:27 remkobonte Relationship added has duplicate 0003604


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker